Subject: Re: 26.2.90; [PATCH] Speed up 'csv-align-fields'

From: Stefan Monnier <[email-masked]>
Date: Wed, 18 Sep 2019 16:08:27 -0400

>> What about posn-at-point?
> That one doesn't seem to take the display width of the characters into
> account. For instance, in a buffer with "<space><tab><space>" and point
> at the end, 'current-column' returns column 9 as expected, while
> 'posn-at-point' gives 3.

It should return a lot more information than just a bare number.
I suspect you did not look at the right number.  I think you'd have to
use the pixel (X . Y) information (and divide it by the frame's char
width), rather than the (COL . ROW) one.

        Stefan